Bug 204493 - Review Request: perl-Mozilla-DOM - Perl interface to Mozilla DOM
Summary: Review Request: perl-Mozilla-DOM - Perl interface to Mozilla DOM
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL: http://search.cpan.org/dist/Mozilla-DOM/
Whiteboard:
Keywords:
Depends On:
Blocks: FE-DEADREVIEW 204494
TreeView+ depends on / blocked
 
Reported: 2006-08-29 15:24 UTC by Chris Weyl
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-08 20:54:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Hack to get this package compiled against firefox (1.13 KB, patch)
2006-12-13 06:02 UTC, Ralf Corsepius
no flags Details | Diff

Description Chris Weyl 2006-08-29 15:24:16 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Mozilla-DOM-0.20-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Mozilla-DOM.spec

Description:
This module wraps the Mozilla DOM interface in Perl.
In conjuction with an embedded Gecko widget (e.g. Gtk2::MozEmbed),
you can use Perl to manipulate the browser DOM, handle DOM signals,
and create events such as mouse clicks -- all within a Mozilla-like
browser (so it also does JavaScript). See `perldoc Mozilla::DOM`
for more details.

Comment 1 Jason Tibbitts 2006-09-06 17:36:38 UTC
Hmmm, mozilla-devel doesn't exist in FC6, so this package can't be built.  It
seems a bit pointless to just target FC5 at this point.  What's the plan here?

Comment 2 Chris Weyl 2006-09-06 20:36:46 UTC
Hrm...  is it being replaced by anything?  perl-Gtk2-MozEmbed (bug 204494) will
be impacted as well.

Both packages suggest that they can use firefox, but FC-5 doesn't seem to have
the requisite bits in placel; if there's some sort of "embedded mozilla library"
FC-6 will be using I can take a look at getting this to build against that.

Comment 3 Jason Tibbitts 2006-09-07 00:27:06 UTC
I think long-term the intended solution is something called xulrunner, but I
know nothing of it.  In FC6 there's firefox-devel which seems to include the
same stuff, but in a "firefox-*" directory instead of "mozilla-*".


Comment 4 Jason Tibbitts 2006-10-14 16:32:06 UTC
I can get the build to progress a bit further by patching Makefile.PL to add 
   "-I$incdor/necko"
to the $mozdom->set_inc call.  However, it still fails on

DOM.xs:12674: error: no matching function for call to
'nsIDOMNSHTMLDocument::Open(nsIDOMDocument**)'
/usr/include/firefox-1.5.0.7/dom/nsIDOMNSHTMLDocument.h:67: note: candidates
are: virtual nsresult nsIDOMNSHTMLDocument::Open(const nsACString&, PRBool,
nsIDOMDocument**)

Perhaps someone who knows Firefox internals could comment on what's missing.

Comment 5 Owen Taylor 2006-11-06 19:12:26 UTC
FC6 has firefox-devel

Comment 6 Parag AN(पराग) 2006-12-03 16:41:30 UTC
Chris,
Any progress?
PING
Would like to review this package.

Comment 7 Jason Tibbitts 2006-12-03 17:02:14 UTC
Perhaps you could work on getting it to build with firefox-devel, then.  I had
no luck.

Comment 8 Ralf Corsepius 2006-12-13 06:02:01 UTC
Created attachment 143491 [details]
Hack to get this package compiled against firefox

With this patch applied and the spec having been changed to use firefox-devel,
this package compiles. I haven't tried to use this perl-dist nor am I
particularily interested in this package, so I don't know if this breaks
something or not ;)

Afterwards, this exposes ca. 10 further bogus Requires and *Provides*.
=> You also need to filter provides.

Instead of using external filter scripts, I prefer using filter scripts being
inlined into the spec (For details of how I do this, c.f. rt3's spec in FE's
CVS).

Comment 9 Jason Tibbitts 2007-05-23 18:54:36 UTC
It seems to me that this ticket (and its dependencies) should just go away since
Mozilla is long gone, and once xulrunner comes into the distro hopefully this
module or something like it can be supportable.

Comment 10 Jason Tibbitts 2007-06-08 20:54:19 UTC
I guess I'll just close this and the depending tickets since there's been no
response.

Comment 11 Quentin Sculo 2007-06-09 01:10:58 UTC
About the closing of the depending tickets.
The bug 204497 (gmusicbrowser) has been closed although it works just fine
without perl-Gtk2-MozEmbed, it is detected at run-time and only used by an
included plugin.

And about the other depending bug 204494, it can work without perl-Mozilla-DOM,
I've been able to build perl-Gtk2-MozEmbed with firefox-devel, the only problem
is that it segfault unless the firefox lib path is in LD_LIBRARY_PATH or
/etc/ld.so.conf. the included pumpzilla example script can be used to test if it
works.



Note You need to log in before you can comment on or make changes to this bug.